/* Exemplet visar hur man använder querySelector() för att referera till HTML-element.
   Man skriver referenserna med selektorer på samma sätt som i CSS.
   Det visas också hur man efter referensen kan lägga till en punkt och ett namn,
   för att komma åt innehåll och attribut. */
// --------------------------------------------------

// Program som körs då webbsidan laddats in
function init() {
   console.log("Nu är vi igång");

   // Element och dess innehåll

   document.querySelector("#message").innerText = "Text som skrivs från JavaScript";
   //document.querySelector("#message").innerHTML = "Text som skrivs <br>från JavaScript";

   console.log(document.querySelector("#fruitList li").innerText); // Det första li-elementet
   console.log(document.querySelector("#fruitList li:first-of-type").innerText);
   console.log(document.querySelector("#fruitList li:nth-of-type(2)").innerText);

   console.log(document.querySelector(".exotic").innerText); // Första elementet med denna class

   // I ett senare exempel kommer vi titta på hur vi i en lista
   // kan hantera alla element med en viss tagg eller class

   // ----------------------------------------

   // Attribut

   console.log(document.querySelector("#img1").src);

   document.querySelector("#img1").src = "img/flower.jpg";
   document.querySelector("#img1").alt = "Blomma";

   console.log(document.querySelector("#input1").value);

} // Slut init
window.addEventListener("load", init); // init anropas då webbsidan är inladdad
